> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all services items 



## OpenAPI

````yaml /openapi.json get /orders/catalog
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /orders/catalog:
    get:
      tags:
        - service catalog
      summary: 'Get all services items '
      operationId: read_all_orders_catalog_get
      parameters:
        - name: product
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BillingServiceType'
              - type: 'null'
            title: Product
        - name: enable
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Enable
        - name: operator
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Operator
        - name: location
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location
        - name: base_quantity
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Base Quantity
        - name: base_unit
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Base Unit
        - name: contract_period
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Contract Period
        - name: additional_unit
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Additional Unit
        - name: discount
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Discount
        - name: customer_package
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer Package
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBServiceItem_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    BillingServiceType:
      type: string
      enum:
        - dpi
        - sdr
        - firewall
        - dia_fw
        - ddos
        - ids
        - dns
        - fqdn
        - tenant_service_package
        - remote_user
        - nat
        - dia
        - customer_port
        - connection
        - direct_connection
        - cloud_router
        - dia_connection
        - direct_cloud_link
        - cr_cloud_link
        - direct_elan_connection
      title: BillingServiceType
    ItemsList_NBServiceItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBServiceItem'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBServiceItem]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBServiceItem:
      properties:
        id:
          type: integer
          title: Id
        product:
          type: string
          title: Product
        enable:
          type: boolean
          title: Enable
        operator:
          anyOf:
            - type: string
            - type: 'null'
          title: Operator
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        base_quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Base Quantity
        base_unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Unit
        monthly_recurring_charge:
          anyOf:
            - $ref: '#/components/schemas/ServicePrice'
            - type: 'null'
        non_recurring_charge:
          anyOf:
            - $ref: '#/components/schemas/ServicePrice'
            - type: 'null'
        contract_period:
          anyOf:
            - type: integer
            - type: 'null'
          title: Contract Period
        billing_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Type
        additional_price:
          anyOf:
            - $ref: '#/components/schemas/ServicePrice'
            - type: 'null'
        additional_unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Additional Unit
        discount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Discount
        customer_package:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Package
      type: object
      required:
        - id
        - product
        - enable
      title: NBServiceItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ServicePrice:
      properties:
        value:
          type: number
          title: Value
        currency:
          type: string
          title: Currency
      type: object
      required:
        - value
        - currency
      title: ServicePrice
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````